package cc.fascinated.bat.common;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @author Fascinated (fascinated7)
 */
@AllArgsConstructor
@Getter @Setter
public abstract class Profile implements Serializable {
    /**
     * The key of the profile.
     */
    private String profileKey;

    public Profile() {}

    /**
     * Resets the profile
     */
    public abstract void reset();
}
